Class UmlBaseUseCaseView

Declaration :

- C++ : class UmlBaseUseCaseView : public UmlItem
- Java : abstract class UmlBaseUseCaseView extends UmlItem

Directly inherited by : UmlUseCaseView

Manage the use case views

Artifact : UmlBaseUseCaseView

Operation create

Declaration :

- C++ : public: static UmlUseCaseView * create(UmlItem * parent, const char * s)
- Java : public static UmlUseCaseView create(UmlItem parent, String s) throws RuntimeException

returns a new use case view named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseUseCaseView

Declaration :

- C++ : protected: UmlBaseUseCaseView(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseUseCaseView(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload